test: add test script in jenkins
Change-Id: I5c8292d3b7cba6feedda431c0ba617cc2fca460f
diff --git a/.jenkins.d/20-build.sh b/.jenkins.d/20-build.sh
index e64e944..fca152a 100755
--- a/.jenkins.d/20-build.sh
+++ b/.jenkins.d/20-build.sh
@@ -18,3 +18,7 @@
# Cleanup
sudo ./waf -j1 --color=yes distclean
+
+# Configure/build in optimized mode with tests
+./waf -j1 --color=yes configure --with-tests
+./waf -j1 --color=yes build
diff --git a/.jenkins.d/30-tests.sh b/.jenkins.d/30-tests.sh
new file mode 100755
index 0000000..7e6610e
--- /dev/null
+++ b/.jenkins.d/30-tests.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+set -x
+set -e
+
+# Prepare environment
+sudo rm -Rf ~/.ndn
+
+./build/unit-tests -l test_suite
diff --git a/wscript b/wscript
index d0337ba..ab4a0c8 100644
--- a/wscript
+++ b/wscript
@@ -55,7 +55,7 @@
def build (bld):
feature_list = 'qt4 cxx'
if bld.env["WITH_TESTS"]:
- feature_list += ' cxxshlib'
+ feature_list += ' cxxstlib'
else:
feature_list += ' cxxprogram'